Main Page Namespace List Class Hierarchy Alphabetical List Data Structures File List Namespace Members Data Fields Globals

# ExNihiloNameSpace.h

Go to the documentation of this file.

    00001 /*
    00002  * ExNihilo 3D Engine
    00003  *
    00004  *  This program is free software; you can redistribute it and/or modify
    00005  *  it under the terms of the GNU General Public License as published by
    00006  *  the Free Software Foundation; either version 2 of the License, or
    00007  *  (at your option) any later version.
    00008  *
    00009  *  This program is distributed in the hope that it will be useful,
    00010  *  but WITHOUT ANY WARRANTY; without even the implied warranty of
    00011  *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    00012  *  GNU Library General Public License for more details.
    00013  *
    00014  *  You should have received a copy of the GNU General Public License
    00015  *  along with this program; if not, write to the Free Software
    00016  *  Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
    00017  *
    00018  * Please read AUTHORS file !!!
    00019  *
    00020  * $Id: ExNihiloNameSpace.h,v 1.4 2002/10/15 09:17:15 data Exp $
    00021  *
    00022  */
    00023
    00024 #ifndef __EXNIHILONAMESPACE_H__
    00025 #define __EXNIHILONAMESPACE_H__
    00026 //--------------------------------
    00027 // File to include
    00028 //--------------------------------
    00029 #include "ExDefine.h"
    00030 //--------------------------------
    00031 // List of define for object
    00032 //--------------------------------
    00033 extern unsigned int GRILLE;
    00034
    00035 //--------------------------------
    00036 // Methode to Init
    00037 //--------------------------------
    00038 #define GRILLE  1
    00039 namespace ExNihilo
    00040 {
    00041
    00042         typedef long ExId;
    00043         typedef std::pair<ExId,std::string> IdName;
    00044         struct ExObjectInfo
    00045         {
    00046                 ExId             m_Id;
    00047                 std::string  m_Name;
    00048                 std::string  m_Type;
    00049         };
    00050
    00051         void InitBasicObjectList(void);
    00052         void InitString(void);
    00053         void RenderBitmapString(float x, float y, void *font,std::string string);
    00054         void EnterOrthoMode(void);
    00055         void LeaveOrthoMode(void);
    00056         std::string ExtracValueFromSring(std::string buffstring, std::string start,std::string end);
    00057         int ExtractIntValueFromSring(std::string buffstring, std::string start,std::string end);
    00058         float ExtractFloatValueFromSring(std::string buffstring, std::string start,std::string end);
    00059
    00060         std::string ExtracStringValueFromFile(std::string FileName, std::string start,std::string end);
    00061         int ExtractIntValueFromFile(std::string FileName, std::string start,std::string end);
    00062         float ExtractFloatValueFromFile(std::string FileName, std::string start,std::string end);
    00063
    00064         int ExtracStringCommandFromString(std::string FileName,std::string command,std::string &TargetString);
    00065         int ExtracStringCommandFromFile(std::string FileName,std::string command,std::string &TargetString);
    00066
    00067         void WriteToScreen(float x,float y,std::string String);
    00068
    00069 }
    00070
    00071
    00072 #endif //__EXNIHILONAMESPACE_H__